Package: grails.doc.macros

## [Groovy] Class HiddenMacro

- grails.doc.macros.HiddenMacro

- All Implemented Interfaces and Traits:
    java.io.Serializable

      class HiddenMacro
      extends org.radeox.macro.BaseMacro
      implements java.io.Serializable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HiddenMacro ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute(java.io.Writer out, org.radeox.macro.parameter.MacroParameter params)`
    `` | `java.lang.String` | `getName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.radeox.macro.BaseMacro` | `org.radeox.macro.BaseMacro#getParamDescription(), org.radeox.macro.BaseMacro#setInitialContext(org.radeox.api.engine.context.InitialRenderContext), org.radeox.macro.BaseMacro#getDescription(), org.radeox.macro.BaseMacro#toString(), org.radeox.macro.BaseMacro#compareTo(java.lang.Object), org.radeox.macro.BaseMacro#getName(), org.radeox.macro.BaseMacro#execute(java.io.Writer, org.radeox.macro.parameter.MacroParameter), org.radeox.macro.BaseMacro#wait(long), org.radeox.macro.BaseMacro#wait(long, int), org.radeox.macro.BaseMacro#wait(), org.radeox.macro.BaseMacro#equals(java.lang.Object), org.radeox.macro.BaseMacro#hashCode(), org.radeox.macro.BaseMacro#getClass(), org.radeox.macro.BaseMacro#notify(), org.radeox.macro.BaseMacro#notifyAll()`

- - ### Field Detail

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### HiddenMacro()

  - ### Method Detail

    - #### void execute(java.io.Writer out, org.radeox.macro.parameter.MacroParameter params)

    - #### @org.gradle.api.tasks.Input java.lang.String getName()